Subject: Re: bug#12124: *Compile Log* pops up for compile warnings from programatic calls to byte-compile

From: Stefan Kangas <[email-masked]>
Date: Tue, 7 Dec 2021 00:36:27 +0100

tags 12124 wontfix
close 12124
thanks

Stefan Monnier <[email-masked]> writes:

>> I think that the buffer *Compile Log* shouldn't pop up. It should behave
>> like *Message*.
>
> I think you're right that in such a use-case it shouldn't pop up,
> although in the usual byte-compilation case it should.
>
>> The problem is in emacs-w3m. It annoys me for mundane
>> task such as reading mail or catching up news in newsticker.
>
> But it's also the case that emacs-w3m probably shouldn't byte-compile
> code at run-time.  Can you try and figure out which it does that?

I think you should just not byte-compile things at runtime in
user-facing code.  That sounds pretty bad and unusual.

There has been no further requests for the feature not to popup warnings
when doing that in 9 years, so I'm taking that as a sign that there is
not much need for the feature, and I'm closing this bug.